Bug 434309 - device-mapper-multipath failed massrebuild attempt for GCC 4.3
device-mapper-multipath failed massrebuild attempt for GCC 4.3
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: device-mapper-multipath (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 10:57 EST by Jesse Keating
Modified: 2013-01-09 22:04 EST (History)
7 users (show)

See Also:
Fixed In Version: 0.4.7-15.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-12 22:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 10:57:53 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=441918
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-28 19:53:18 EST
linker error:

cc main.o ../libmultipath/libmultipath-glibc.a
../libcheckers/libcheckers-glibc.a -o multipath.static -static -ldevmapper
-lsysfs -lselinux -lsepol
/usr/bin/ld: cannot find -ldevmapper
Comment 2 Bug Zapper 2008-05-14 01:28:45 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Ben Marzinski 2008-05-22 16:32:35 EDT
multipath.static and kpartx.static are now just symlinks to the regular binaries.
Comment 4 Fedora Update System 2008-05-22 16:38:25 EDT
device-mapper-multipath-0.4.7-15.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update device-mapper-multipath'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-4375
Comment 5 Fedora Update System 2008-06-12 22:21:37 EDT
device-mapper-multipath-0.4.7-15.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.